<?php

    global $wpdb;

    $params = array(
        'limit' => -1
    );

    $langs = pll_the_languages(array('raw'=>1));
    $langID = $langs[pll_current_language('slug')]['id'];
    $where = ' langs.`object_id` IS NOT NULL';

    $params['join'] = ' LEFT JOIN `' . $wpdb->prefix . 'term_relationships` AS `langs` ON `langs`.`object_id` = `t`.`ID` AND `langs`.`term_taxonomy_id` = ' . $langID;
    $params['where'] = $where;

    $pods = pods( 'service', $params);

    if ($pods->total() > 0):
        $services = $pods->data();

?>
        <h2 class="c-services--header"><?php _e('Our services', 'biuro'); ?></h2>
        <div class="js-tabs c-services c-services--wide">
<?php
        foreach ($services as &$service):
            $iconID = get_post_meta($service->ID, 'icon_id', true);
            $image = get_the_post_thumbnail_url( $service->ID, 'medium');
?>

            <div id="service-<?php echo $service->ID; ?>" class="js-tab c-services--item c-services--item--extended" data-hash="#<?php echo $service->post_name; ?>">
                <div class="c-services--item-inner c-services--item-inner--extended">

                    <div class="c-services--ico"><svg width="56px" height="56px"><use href="<?php echo $iconID; ?>"></use></svg></div>

                    <p class="c-services--heading"><?php echo $service->post_title; ?></p>

                    <div class="c-services--toggle">
                        <svg width="13px" height="8px" class="c-services--toggle-up"><use href="#ico--up"></use></svg>
                        <svg width="13px" height="8px" class="c-services--toggle-down"><use href="#ico--down"></use></svg>
                    </div>

                </div>
            </div>

            <div id="<?php echo $service->post_name; ?>" class="js-tabs-content c-services--details">
<?php
                if ($image):
?>
                    <div class="c-services--details-image" style="background-image: url('<?php echo $image; ?>')"></div>
<?php
                endif;
?>
                <div class="c-services--details-content">
<?php
                    echo $service->post_content;

                    $contactsPage = new WP_Query( array(
                        'numberposts'   => 1,
                        'post_type'     => 'page',
                        'meta_key'      => 'page',
                        'meta_value'    => 'employers-contacts'
                    ) );

                    if ( $contactsPage->have_posts() ) :
                        while( $contactsPage->have_posts() ) :
                            $contactsPage->the_post();
?>
                            <div class="c-services--details-action">
                                <a href="<?php echo get_the_permalink(); ?>#action" class="o-btn c-btn--main"><?php _e('To get an offer', 'biuro'); ?></a>
                            </div>
<?php
                        endwhile;
                    endif;
                    wp_reset_query();
?>
                </div>
            </div>
<?php
        endforeach;
?>
    </div>
<?php

/*
        foreach ($services as &$service):
            $image = get_the_post_thumbnail_url( $service->ID, 'medium');
?>
        <div id="<?php echo $service->post_name; ?>" class="js-tabs-content c-services--details">
<?php
            if ($image):
?>
                <div class="c-services--details-image" style="background-image: url('<?php echo $image; ?>')"></div>
<?php
            endif;
?>
            <div class="c-services--details-content">
<?php
                echo $service->post_content;

                $contactsPage = new WP_Query( array(
                    'numberposts'   => 1,
                    'post_type'     => 'page',
                    'meta_key'      => 'page',
                    'meta_value'    => 'employers-contacts'
                ) );

                if ( $contactsPage->have_posts() ) :
                    while( $contactsPage->have_posts() ) :
                        $contactsPage->the_post();
?>
                        <div class="c-services--details-action">
                            <a href="<?php echo get_the_permalink(); ?>#action" class="o-btn c-btn--main"><?php _e('To get an offer', 'biuro'); ?></a>
                        </div>
<?php
                    endwhile;
                endif;
                wp_reset_query();
?>
            </div>
        </div>
<?php
        endforeach;
*/
?>
<?php

    endif;
?>

