# !/usr/bin/env sh

function test_mysql {
    mysqladmin -b -s -h "mysql" ping
}

sleep 1

until (test_mysql); do
    sleep 1
done

echo "WP CLI init";

wp plugin deactivate --all --network;
wp plugin deactivate --all;

wp core update --force;
wp core update-db --network;
wp core language update;

versionAkismet=4.1.10;
versionClassicWidgets=0.2;
versionGoogleSitemapGenerator=4.1.1;
versionLocoTranslate=2.5.3;
versionPods=2.7.30;
versionPolylang=3.1.1;
versionSiteReviews=5.13.2;
versionWordpressSeo=16.9;

action="install" && $(wp core is-installed) && action="update"


if [ "$action" == "install" ]; then
    wp plugin install classic-widgets --version="$versionClassicWidgets";
    wp plugin install google-sitemap-generator --version="$versionGoogleSitemapGenerator";
    wp plugin install loco-translate --version="$versionLocoTranslate";
    wp plugin install pods --version="$versionPods";
    wp plugin install polylang --version="$versionPolylang";
    wp plugin install wordpress-seo --version="$versionWordpressSeo";
    wp plugin install akismet --version="$versionAkismet";
    wp plugin install site-reviews --version="$versionSiteReviews";
else
    if [ $(wp plugin get classic-widgets --field=version) != "$versionClassicWidgets" ]; then
        wp plugin update classic-widgets --version="$versionClassicWidgets";
    else
        echo "plugin classic-widgets is up to date";
    fi

    if [ $(wp plugin get google-sitemap-generator --field=version) != "$versionGoogleSitemapGenerator" ]; then
        wp plugin update google-sitemap-generator --version="$versionGoogleSitemapGenerator";
    else
        echo "plugin google-sitemap-generator is up to date";
    fi

    if [ $(wp plugin get loco-translate --field=version) != "$versionLocoTranslate" ]; then
        wp plugin update loco-translate --version="$versionLocoTranslate";
    else
        echo "plugin loco-translate is up to date";
    fi

    if [ $(wp plugin get pods --field=version) != "$versionPods" ]; then
        wp plugin update pods --version="$versionPods";
    else
        echo "plugin pods is up to date";
    fi

    if [ $(wp plugin get polylang --field=version) != "$versionPolylang" ]; then
        wp plugin update polylang --version="$versionPolylang";
    else
        echo "plugin polylang is up to date";
    fi

    if [ $(wp plugin get wordpress-seo --field=version) != "$versionWordpressSeo" ]; then
        wp plugin update wordpress-seo --version="$versionWordpressSeo";
    else
        echo "plugin wordpress-seo is up to date";
    fi

    if [ $(wp plugin get akismet --field=version) != "$versionAkismet" ]; then
        wp plugin update akismet --version="$versionAkismet";
    else
        echo "plugin akismet is up to date";
    fi

    if [ $(wp plugin get site-reviews --field=version) != "$versionSiteReviews" ]; then
        wp plugin update site-reviews --version="$versionSiteReviews";
    else
        echo "plugin site-reviews is up to date";
    fi
fi

wp plugin activate --all --network;
wp plugin activate --all;

wp theme delete twentytwenty
wp theme delete twentynineteen
wp theme delete twentyseventeen
wp theme delete twentysixteen

wp language core update;
wp language theme update --all;
wp language plugin update --all;

echo "WP CLI done. Ready to use.";
